/* COPYRIGHT NOTICE
 *
 * This program comes from "The X Toolkit Cookbook" by Paul E. Kimball
 * c. 1995 Prentice Hall.
 *
 *  HDR1: Example 14-1 - mixed.c - Using widgets from several toolkits
 *  
 *  HDR2: Chapter 14, page 434
 *
 * This software is provided free of charge and may be freely distributed
 * in its original form, so long as this notice appears unchanged in each 
 * copy.  This software is supplied "as-is" and is not covered by warrantee
 * of any kind, express or implied.  
 *
 * This and other examples are available by anonymous ftp from
 * ftp.netcom.com, directory "pub/pk/pkimball/cookbook".
 *
 *  1/15/95	Paul Kimball - pkimball@netcom.com
 */

/****  Include Required Header Files   *******************************/

#include <X11/Intrinsic.h>       /* The Intrinsics                   */
#include <X11/StringDefs.h>      /* Intrinsics resource symbols      */
#include <X11/Shell.h>           /* Shell widgets                    */
#include <Xm/BulletinB.h>        /* Motif XmBulletinBoard widget     */
#include <Xm/PushB.h>            /* Motif XmPushButton widget        */
#include <Xm/Text.h>             /* Motif XmText widget              */
#include <Xm/Xm.h>               /* Motif resource symbols           */
#include <X11/Xaw/Label.h>       /* Athena Label widget              */
#include <X11/Xaw/Command.h>     /* Athena Command widget            */

/***** Declare Global Variables  *************************************/

Display       *display;
XtAppContext  context;
Widget        toplevel, manager, first_button, second_button,
              top_label, text_area;
Arg           arglist[10];
int           i;
void ExitCallback();

/*****  Start of main()   ********************************************/

main(argc,argv)
int argc;
char **argv;
{

/*****  Initialize  Toolkit  *****************************************/

 XtToolkitInitialize();

 context = XtCreateApplicationContext();
 display = XtOpenDisplay( context, "",
     "mixed", "Mixed", NULL, 0, &argc, argv );

/*****  Create widget tree, bind callbacks  **************************/

 toplevel = XtAppCreateShell( "mixed", "Mixed", /* Motif App Shell   */
     applicationShellWidgetClass,
     display, NULL, 0 );

 manager = XtCreateManagedWidget("manager",     /* Athena Box        */
     xmBulletinBoardWidgetClass, toplevel, NULL, 0);

 top_label = XtCreateManagedWidget(             /* Athena Label      */
     "topLabel", labelWidgetClass, 
     manager, NULL, 0);

 text_area = XtCreateManagedWidget(             /* Motif Text        */
     "textArea", xmTextWidgetClass, 
     manager, NULL, 0);

 first_button = XtCreateManagedWidget(         /* Motif XmPushButton */
     "firstButton", xmPushButtonWidgetClass, 
     manager, NULL, 0); 
 XtAddCallback(first_button, XmNactivateCallback, ExitCallback, NULL);

 second_button = XtCreateManagedWidget(         /* Athena Command    */
     "secondButton", commandWidgetClass, 
     manager, NULL, 0);
 XtAddCallback(second_button, XtNcallback, ExitCallback, NULL);

 XtRealizeWidget(toplevel);
 XtAppMainLoop(context);
}

/***** Callback Routines *********************************************/

void ExitCallback(w, client_data, call_data)
Widget w;
XtPointer client_data, call_data;
{
 exit(1);
}

